/*
 *  (C) Copyright IX 2004 Michal 'GiM' Spadlinski <gim at skrzynka dot pl>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
#ifndef __COOLSTOREAGE_H
#define __COOLSTOREAGE_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define STRS_M 10

struct strs_t {
	char **strs;
	int num;
	int act;
};

int strs_init (struct strs_t *m);

int strs_add(struct strs_t *m, char *str, int alloc);

int strs_free(struct strs_t *p, int release);

#endif // __COOLSTOREAGE_H
